/*
    interrupt.c

-----------------------------------------------------------------------------

  This file is part of mikroSDK.
  
  Copyright (c) 2017, MikroElektonika - http://www.mikroe.com

  All rights reserved.

----------------------------------------------------------------------------- */

/**
        \file   interrupt.c

- Version               :   1.0.0
- Date                  :   May 2019
- Developer             :   Milos Vidojevic

    Common interrupt module.

    Hints :

    - Copy file inside [project base directory]/portable.
    - Replace all "---" appearances with proper values.

*/
/* -------------------------------------------------------------------------- */

#include "test_console.h"
#include "simplelink.h"

#if ( _MMB_MODULE_WIFI == 1 )

/*
    WiFi interrupt related functions and variables.
*/

P_EVENT_HANDLER wifi_isr_event;

void bsp_wifi_driver_interrupt_enable ( void )
{
    //  Enable interrupt vector for CC3100 INT pin.

    ---
}

void bsp_wifi_driver_interrupt_disable ( void )
{
    //  Disable interrupt vector for CC3100 INT pin.

    ---
}

//  WiFi ISR Function.

void WIFI_EXT_ISR ( void ) iv ---
{
    //  Reset interrupt flag

    ---

    if ( wifi_isr_event != ( void * ) 0 )
    {
        ( *wifi_isr_event )( 0 );
    }
}

#endif

/*
    USB interrupt related functions and variables.
*/

void USB_ISR( ) iv ---
{
    USBHost_IntHandler( );
}

/*
    Common initialize functions which should initialize all necessary 
    interrupts.
*/

void interrupts_enable ( void )
{
    /*
        Initialize external interrupt on CC3100 INT pin.

        NOTE : 

            Interrupt must be configured to trigger on rising edge.
    */

    ---
    
    /*
        Initialize global interrupts and enable vectors.

            - Enable interrupt vector for USB.
            - Enable interrupt vector for CC3100 INT pin.
    */
    
    ---
}