/*
    gpio.c

-----------------------------------------------------------------------------

  This file is part of mikroSDK.
  
  Copyright (c) 2017, MikroElektonika - http://www.mikroe.com

  All rights reserved.

----------------------------------------------------------------------------- */

/**
        \file   gpio.c

- Version               :   1.0.0
- Date                  :   Jun 2019
- Developer             :   Milos Vidojevic

---

    Hints :

    - Copy file inside [project base directory]/portable.
    - Replace all "---" appearances with proper values.

*/
/* -------------------------------------------------------------------------- */

#include "bsp.h"

// ============================================================================
//                                                                   MMC Lib
// ============================================================================

#if ( _MMB_MODULE_MICROSD == 1 )
#   ifdef TEST_PROJECT

sbit Mmc_Chip_Select_Direction   at   GPIO_PORTA_AHB_DATA.B3;
sbit Mmc_Chip_Select             at   GPIO_PORTA_AHB_DATA.B3;

//sbit Mmc_Chip_Select_Direction   at   GPIO_PORTA_AHB_DATA3_bit;
//sbit Mmc_Chip_Select             at   GPIO_PORTA_AHB_DATA3_bit;

#   endif
#endif

// ============================================================================
//                                                                   TFT Lib
// ============================================================================

#ifdef TEST_PROJECT

sbit TFT_16bit_BLED                  at GPIO_PORTJ_AHB_DATA.B0;
sbit TFT_16bit_CS                    at GPIO_PORTJ_AHB_DATA.B3;
char TFT_16bit_DataPort_Hi           at GPIO_PORTS_DATA;
char TFT_16bit_DataPort_Lo           at GPIO_PORTR_DATA;
sbit TFT_16bit_RD                    at GPIO_PORTJ_AHB_DATA.B5;
sbit TFT_16bit_RS                    at GPIO_PORTJ_AHB_DATA.B4;
sbit TFT_16bit_RST                   at GPIO_PORTJ_AHB_DATA.B2;
sbit TFT_16bit_WR                    at GPIO_PORTJ_AHB_DATA.B6;

sbit TFT_16bit_BLED_Direction        at GPIO_PORTJ_AHB_DATA.B0;
sbit TFT_16bit_CS_Direction          at GPIO_PORTJ_AHB_DATA.B3;
char TFT_16bit_DataPort_Hi_Direction at GPIO_PORTS_DATA;
char TFT_16bit_DataPort_Lo_Direction at GPIO_PORTR_DATA;
sbit TFT_16bit_RD_Direction          at GPIO_PORTJ_AHB_DATA.B5;
sbit TFT_16bit_RS_Direction          at GPIO_PORTJ_AHB_DATA.B4;
sbit TFT_16bit_RST_Direction         at GPIO_PORTJ_AHB_DATA.B2;
sbit TFT_16bit_WR_Direction          at GPIO_PORTJ_AHB_DATA.B6;



//sbit TFT_16bit_BLED                  at GPIO_PORTJ_AHB_DATA0_bit;
//sbit TFT_16bit_CS                    at GPIO_PORTJ_AHB_DATA3_bit;
//char TFT_16bit_DataPort_Hi           at GPIO_PORTS_DATA;
//char TFT_16bit_DataPort_Lo           at GPIO_PORTR_DATA;
//sbit TFT_16bit_RD                    at GPIO_PORTJ_AHB_DATA5_bit;
//sbit TFT_16bit_RS                    at GPIO_PORTJ_AHB_DATA4_bit;
//sbit TFT_16bit_RST                   at GPIO_PORTJ_AHB_DATA2_bit;
//sbit TFT_16bit_WR                    at GPIO_PORTJ_AHB_DATA6_bit;

//sbit TFT_16bit_BLED_Direction        at GPIO_PORTJ_AHB_DATA0_bit;
//sbit TFT_16bit_CS_Direction          at GPIO_PORTJ_AHB_DATA3_bit;
//char TFT_16bit_DataPort_Hi_Direction at GPIO_PORTS_DATA;
//char TFT_16bit_DataPort_Lo_Direction at GPIO_PORTR_DATA;
//sbit TFT_16bit_RD_Direction          at GPIO_PORTJ_AHB_DATA5_bit;
//sbit TFT_16bit_RS_Direction          at GPIO_PORTJ_AHB_DATA4_bit;
//sbit TFT_16bit_RST_Direction         at GPIO_PORTJ_AHB_DATA2_bit;
//sbit TFT_16bit_WR_Direction          at GPIO_PORTJ_AHB_DATA6_bit;

#endif

/* -------------------------------------------------------------------------- */
/*
    gpio.c

  Copyright (c) 2017, MikroElektonika - http://www.mikroe.com

  All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.

3. All advertising materials mentioning features or use of this software
   must display the following acknowledgment:
   This product includes software developed by the MikroElektonika.

4. Neither the name of the MikroElektonika nor the
   names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY MIKROELEKTRONIKA ''AS IS'' AND ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL MIKROELEKTRONIKA BE LIABLE FOR ANY
DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

----------------------------------------------------------------------------- */ 